/* 
 * Copyright (c) 2005-2011, Fraunhofer-Gesellschaft
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 * 
 * (1) Redistributions of source code must retain the above copyright
 *     notice, this list of conditions and the disclaimer at the end.
 *     Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in
 *     the documentation and/or other materials provided with the
 *     distribution.
 * 
 * (2) Neither the name of Fraunhofer nor the names of its
 *     contributors may be used to endorse or promote products derived
 *     from this software without specific prior written permission.
 * 
 * DISCLAIMER
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *  
 */
package org.ogf.graap.wsag.testutils;

import junit.framework.TestCase;

import org.apache.log4j.Logger;

/**
 * Default logging behavior for WSAG4J tests.
 * 
 * @author owaeld
 */
public class WsagTestCase extends TestCase
{
    /**
     * Default engine configuration file.
     */
    public static final String DEFAULT_ENGINE_CONFIGURATION = "/wsag4j-engine.config";

    private static Logger log = Logger.getLogger( WsagTestCase.class );

    /**
     * 
     * @param testName
     *            the name of the test case
     */
    public WsagTestCase( String testName )
    {
        super( testName );
    }

    @Override
    protected void setUp() throws Exception
    {
        if ( log.isInfoEnabled() )
        {
            log.info( "" );
            log.info( "================================================================================" );
            log.info( "  Entering unit test: " + getName() );
            log.info( "--------------------------------------------------------------------------------" );
        }

        super.setUp();
    }

    @Override
    protected void tearDown() throws Exception
    {
        super.tearDown();

        if ( log.isInfoEnabled() )
        {
            log.info( "--------------------------------------------------------------------------------" );
            log.info( "  Leaving unit test: " + getName() );
            log.info( "================================================================================" );
            log.info( "" );
        }
    }
}
